#ifndef _APP_H
#define _APP_H


#include <be/add-ons/tracker/TrackerAddon.h>
#include<Alert.h>
#include<Application.h>
#include<Roster.h>

/* Storage Kit */
#include<StorageKit.h>
#include<be/kernel/fs_attr.h>

/* Support Kit */
#include<List.h>
#include<String.h>

/* Standard C header files */
#include<iostream>
#include<cstdlib>
#include<cstring>
#include<fstream>
#include<stdio.h>
#include<vector>

const int CSVFORMAT  = 1;
const int HTMLFORMAT = 2;


class myatfApp : public BApplication
{
	public:
	
					myatfApp();					
	virtual void	AboutRequested();
	virtual	void	RefsReceived(BMessage *msg);
	virtual	bool	QuitRequested();

			void	CreateAllTypesList();
			int		CreateFileList(entry_ref dir_ref, BMessage *msg);

			void	Help();	
			bool	IsTypeInList(char * buffer, BList * list);
			void	NoRefsAlert();

			void	CopyFilenamesToVector();

			void	CopyAttributesToVector();

			void	CopyVectorToOutfile(); 
			void	CopyVectorToOutfile_OneColumnPerFile();
			
//	const	char *	GetAttr(BNode file, char * buf, attr_info attr_struct); // Returns the value of the specified attribute of the file
			void	SetFormat(int format);

			void	BuildGUI();


			BList * fileList;

			vector< vector<BString *> > StringVector;

			BPath	Outfilepath;
			BString outfileName;
			BString	outfileType;

			BString	startChars;
			BString	endChars;
			BString	emptyChars;
			BString	lineEndChars;			
			BString	separatorChars;

			bool listFilenames;

};

#endif
